/*============================================================================
  File:     CreateFilteredIndexes.sql

  Summary:  Filtered indexes demo

   Date:     August 2008

  SQL Server Version: 10.0.1600.22 (SQL Server 2008 RTM)
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp & Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out http://www.SQLskills.com

  This script is intended as a supplement to the SQL Server 2008 Jumpstart or
  Metro training.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

USE SparseColumnsTest;
GO

-- Ensure that SparseDocumentStore and
	NonSparseDocumentStore exist

-- How to create an index over the properties of document type #5?
-- With the non-sparse table, we'd have to create an index over everything

-- give the example index

-- look at its size!

-- Even with the sparse table, the same index is big
-- create it and look at its size

-- With filtered indexes, we can create an index over exactly the data we require
-- Create the filtered index, compare size 